View Issue Details

IDProjectCategoryView StatusLast Update
0001370PluginsFARCmdspublic2010-05-18 22:56
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001370: goto:<имяфайла не работает
Description1) Файлы в кодировке отличной от 1200 вообще игнорируются
2) Даже 1200 не работает.
Steps To ReproduceФайл с именем 1200

Содержимое файла:
C:\WINDOWS\win.ini

Командная строка:
goto:<1200

Результат выполнения (Скриншот тоже прилагается):
The specified name is invalid 
C:\WINDOWS\

Видно что рамка в этой строке смещена
И ещё интересный эффект происходит при попытке сграбить C:\WINDOWS\ с помощью Alt-Ins
TagsNo tags attached.

Activities

JohnDoe

2010-05-07 16:12

updater  

2010-05-07_150321.png (3,531 bytes)
2010-05-07_150321.png (3,531 bytes)

JohnDoe

2010-05-07 16:13

updater  

1200 (38 bytes)
1200 (38 bytes)

JohnDoe

2010-05-07 16:27

updater   bugnote:0005318

Кроме того, есть проблема с кавычками в командной строке: 0001369

vskirdin

2010-05-09 20:31

administrator   bugnote:0005323

(хозяйке на заметку)
1. loadFile() нишиша не знает "текущий каталог"
2. loadFile() считывает из файла какую-то хрень

JohnDoe

2010-05-09 21:42

updater   bugnote:0005324

Уточнение: на скриншоте Consolas.
При Lucida Console рамка не сдвигается, а перед С:\ видно квадратик.

DrKnS

2010-05-09 23:59

administrator   bugnote:0005326

1. Про сдвиг рамки: в консолас пробел нулевой длины (он же bom) отображается именно как пробел нулевой длины. Соответственно, едут рамки и имеют место прочие артефакты. Не починябельно.

2. (хозяйке на заметку) есть подозрение, что если этот ваш 1200 пересохранить без bom, то всё заработает.

JohnDoe

2010-05-10 01:14

updater   bugnote:0005329

Да, без bom работает

vskirdin

2010-05-11 11:22

administrator   bugnote:0005337

build 66

JohnDoe

2010-05-13 14:41

updater   bugnote:0005345

Теперь порядок

JohnDoe

2010-05-17 14:58

updater   bugnote:0005380

Осталась одна мелочь, о ней в другом тикете 0001371

Issue History

Date Modified Username Field Change
2010-05-07 16:12 JohnDoe New Issue
2010-05-07 16:12 JohnDoe File Added: 2010-05-07_150321.png
2010-05-07 16:13 JohnDoe File Added: 1200
2010-05-07 16:27 JohnDoe Note Added: 0005318
2010-05-09 20:31 vskirdin Note Added: 0005323
2010-05-09 21:42 JohnDoe Note Added: 0005324
2010-05-09 23:59 DrKnS Note Added: 0005326
2010-05-10 01:14 JohnDoe Note Added: 0005329
2010-05-11 11:21 vskirdin Assigned To => vskirdin
2010-05-11 11:21 vskirdin Status new => assigned
2010-05-11 11:22 vskirdin Note Added: 0005337
2010-05-11 11:22 vskirdin Status assigned => feedback
2010-05-13 14:41 JohnDoe Note Added: 0005345
2010-05-13 14:41 JohnDoe Status feedback => assigned
2010-05-13 14:41 JohnDoe Status assigned => resolved
2010-05-17 14:58 JohnDoe Note Added: 0005380
2010-05-18 22:56 alexy Status resolved => closed
2010-05-18 22:56 alexy Resolution open => fixed
2010-05-18 22:56 alexy Fixed in Version => 2.0